EDIT - bug #7030
bug # 6545 (Closed): [MASTER] Eclipse 4 bugs

Opening referenced object of type designation throws NPE
10/21/2017 09:33 AM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal Found in Version:

Description

What | did in caryo_nepenthes:

1. Open Nepenthes alicae F.M.Bailey in Name bulk editor
2. Open referencing objects view
3. Use "open in -> Specimen Editor"

4. Exception

login

admin

editor version : 4

server

.11.0.201710202250

api.cybertaxonomy.org (cybertaxonomy.org) / caryo_nepenthaceae

schema version : 4
os : Windows Server 2012 R2 6.3 amdo64

java

1.8

0_121

.7.0.0.201710040000

org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
e4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)
ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:13

ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j

core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:

ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.

.ed.ui.workbench.renderers.swt.HandledContributionItem.executeItem (HandledContri

java:433)

.eclipse

.e4.uil.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab

stractContributionItem. java:454)
at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)

swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l

ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.EditorUtil.getTopMostDerivate (EditorUtil. java:256)

at eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView.updateRootEntities (DerivateView. ja
va:288)

at eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView.updateRootEntities (DerivateView. ja
va:270)

at eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView.init (DerivateView. java:175)

at eu.etaxonomy.taxeditor.editor.handler.defaultHandler.DefaultOpenSpecimenEditorForTypeSpecim
enHandler.open (DefaultOpenSpecimenEditorForTypeSpecimenHandler. java:32)

at eu.etaxonomy.taxeditor.editor.handler.defaultHandler.DefaultOpenSpecimenEditorForTypeSpecim
enHandler.open (DefaultOpenSpecimenEditorForTypeSpecimenHandler. java:1)

at eu.etaxonomy.taxeditor.handler.defaultHandler.ed4.DefaultOpenHandlerBaseE4.execute (DefaultOp
enHandlerBaseE4. java:28)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

37 more

This is probably related to e4 migration

Associated revisions

Revision 5a308801 - 02/09/2018 02:47 PM - Patrick Plitzner
fix #7030 Fix potential NPE

Revision 840786bf - 02/14/2018 03:49 PM - Patrick Plitzner
ref #7030 Fix NPE when opening TypeDesignations from RefObjView

History

#1 - 10/25/2017 06:15 PM - Patrick Plitzner
- Parent task changed from #6565 to #6545

#2 - 11/08/2017 11:21 AM - Andreas Mdiller

- Target version changed from Release 4.11 to Release 4.12

#3 - 12/05/2017 02:12 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#4 - 01/31/2018 12:40 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#5 - 02/09/2018 02:47 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|5a308801e070b55b7ba73e8d69dfd12748d6578f.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/5a308801e070b55b7ba73e8d69dfd12748d6578f

#6 - 02/09/2018 02:48 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

Fixed potential NPE.

| think the title of the issue is a bit misleading because this has nothing to do with type designations. But anyway, if it is fixed then it doesn't matter.

#7 - 02/14/2018 02:03 PM - Andreas Miller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

- Priority changed from New to Highest

| still get an NPE but at a different position:

login

editor
server
schema

admin
version : 4.

test.e-tax
version : 4.

14.0.201802132349
onomy.eu (edit-test) / caryo_nepenthes
7.0.0.201710040000

os : Windows Server 2012 R2 6.3 amd64

java

1.8.0_121
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
e4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)
ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
e4.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)
e4.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)
e4.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServicelImpl. java:210)
ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContributionItem. j

e4.uil.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

)

swt.widgets.EventTable.sendEvent (EventTable. java:84)

swt.widgets.Display.sendEvent (Display.java:4418)

swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display. java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)
e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

.taxeditor.Application.start (Application. java:24)
equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
flect.Method.invoke (Method. java:498)

equinox.launcher.Main.invokeFramework (Main. java:673)
equinox.launcher.Main.basicRun (Main. java:610)

equinox.launcher.Main.run (Main.java:1519)

g.NullPointerException
.taxeditor.view.derivateSearch.DerivateLabelProvider.updatelabelCache (DerivateLabelProvider

.taxeditor.editor.view.derivate.DerivateView.updateRootEntities (DerivateView. java:301)
.taxeditor.editor.view.derivate.DerivateView.updateRootEntities (DerivateView. java:270)
.taxeditor.editor.view.derivate.DerivateView.init (DerivateView. java:175)
.taxeditor.editor.handler.defaultHandler.DefaultOpenSpecimenEditorForTypeSpecimenHandler.op

en (DefaultOpenSpecimenEditorForTypeSpecimenHandler. java:32)
at eu.etaxonomy.taxeditor.editor.handler.defaultHandler.DefaultOpenSpecimenEditorForTypeSpecimenHandler.op

en (DefaultOpenSpecimenEditorForTypeSpecimenHandler. java:1)
at eu.etaxonomy.taxeditor.handler.defaultHandler.e4.DefaultOpenHandlerBaseE4.execute (DefaultOpenHandlerBas

eE4.java:37)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.e4.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

37 more

#8 - 02/14/2018 03:49 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

#9 - 02/15/2018 01:16 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Patrick Plitzner

Seems to be fixed.

#10 - 05/16/2018 12:42 PM - Andreas Miiller
- % Done changed from 50 to 100
